Overview
GET
/content/poll-votesinteractionsTally a poll — per-option counts + the caller’s chosen options
List poll-votes.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- pollIdquerystring
Responses
200
Poll tally
- pollIdstring
- optionsPollTallyOption[]
- myOptionIdsstring[]
Example
{
"pollId": "string",
"options": [
{
"optionId": "string",
"text": "string",
"sortOrder": 0,
"votes": 0
}
],
"myOptionIds": [
"string"
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/poll-votes" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/poll-votes", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();